<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/cores/tse_rgmii_testbench/testbench_vhdl/models/top_mdio_slave.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_51d9c9f08f6806a0f97badf342e5b4d7.html">cores</a></li><li class="navelem"><a class="el" href="dir_269dab7f9d28e51e76b1101d11ffdc81.html">tse_rgmii_testbench</a></li><li class="navelem"><a class="el" href="dir_220da572659ecb177e9927c04f05b154.html">testbench_vhdl</a></li><li class="navelem"><a class="el" href="dir_7a09364a159668acd6d980fce619972b.html">models</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">top_mdio_slave.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- (C) 2001-2016 Altera Corporation. <span class="vhdlkeyword">All</span> rights reserved.</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- Your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> Altera Corporation&#39;s design tools, logic functions <span class="vhdlkeyword">and</span> other </span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- software <span class="vhdlkeyword">and</span> tools, <span class="vhdlkeyword">and</span> its AMPP partner logic functions, <span class="vhdlkeyword">and</span> any output </span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">-- files any <span class="vhdlkeyword">of</span> the foregoing (including device programming <span class="vhdlkeyword">or</span> simulation </span><span class="keyword"></span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword">-- files), <span class="vhdlkeyword">and</span> any associated documentation <span class="vhdlkeyword">or</span> information are expressly subject </span><span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">to</span> the terms <span class="vhdlkeyword">and</span> conditions <span class="vhdlkeyword">of</span> the Altera Program License Subscription </span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">-- Agreement, Altera MegaCore <span class="vhdlkeyword">Function</span> License Agreement, <span class="vhdlkeyword">or</span> other applicable </span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">-- license agreement, including, without limitation, that your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">for</span> the </span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">-- sole purpose <span class="vhdlkeyword">of</span> programming logic devices manufactured by Altera <span class="vhdlkeyword">and</span> sold by </span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">-- Altera <span class="vhdlkeyword">or</span> its authorized distributors.  Please refer <span class="vhdlkeyword">to</span> the applicable </span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">-- agreement <span class="vhdlkeyword">for</span> further details.</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">-- -------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">-- -------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- Revision Control Information</span><span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">-- $RCSfile: top_mdio_slave.vhd,v $</span><span class="keyword"></span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">-- $Source: /ipbu/cvs/sio/projects/TriSpeedEthernet/src/testbench/models/vhdl/mdio/top_mdio_slave.vhd,v $</span><span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">-- $Revision: #1 $</span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">-- $Date: 2016/02/08 $</span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">-- Check <span class="vhdlkeyword">in</span> by : $Author: swbranch $</span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">-- Author      : SKNg/TTChong</span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">-- Project     : Triple Speed Ethernet - 10/100/1000 MAC</span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">-- Description : (Simulation only)</span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">-- MDIO Slave model</span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">-- Instantiates mdio_slave (mdio_slave.vhd) <span class="vhdlkeyword">and</span> mdio_reg_sim (mdio_reg.vhd)</span><span class="keyword"></span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">-- </span><span class="keyword"></span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">-- ALTERA Confidential <span class="vhdlkeyword">and</span> Proprietary</span><span class="keyword"></span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword">-- Copyright </span><span class="vhdllogic">2006</span> (c) Altera Corporation<span class="keyword"></span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">All</span> rights reserved</span><span class="keyword"></span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">-- -------------------------------------------------------------------------</span><span class="keyword"></span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">-- -------------------------------------------------------------------------</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="vhdlkeyword">library </span><span class="keywordflow">ieee </span>;</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="vhdlkeyword">use     </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span> ;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="keywordflow">entity </span><a class="code" href="enumtop__mdio__slave.html">top_mdio_slave</a> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">port</span> <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="vhdlchar">reset</span>           <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span> ;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="vhdlchar">mdc</span>             <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span> ;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;        <span class="vhdlchar">mdio</span>            <span class="vhdlchar">:</span> <span class="vhdlkeyword">inout</span> <span class="comment">std_logic</span> ;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="vhdlchar">dev_addr</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">in</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> ;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="vhdlchar">conf_done</span>       <span class="vhdlchar">:</span> <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span><span class="vhdlchar">)</span> ;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">top_mdio_slave</span> ;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00056"></a><span class="lineno"><a class="code" href="classtop__mdio__slave_1_1a.html">   56</a></span>&#160;<span class="vhdlkeyword">architecture</span> a <span class="vhdlkeyword">of</span> <a class="code" href="enumtop__mdio__slave.html">top_mdio_slave</a> is</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="vhdlkeyword">component</span> <a class="code" href="enummdio__reg__sim.html">mdio_reg_sim</a> <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;                reset           : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span> ;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;                clk             : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span> ;                        <span class="keyword">-- MDIO </span><span class="vhdllogic">2</span>.5MHz Clock</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;                reg_addr        : <span class="vhdlkeyword">in</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);      <span class="keyword">-- Address <span class="vhdlkeyword">Register</span></span></div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                reg_write       : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;                         <span class="keyword">-- Write <span class="vhdlkeyword">Register</span>       </span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;                reg_read        : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;                         <span class="keyword">-- Read <span class="vhdlkeyword">Register</span>        </span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;                reg_dout        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);    <span class="keyword">-- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">OUT</span></span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;                reg_din         : <span class="vhdlkeyword">in</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) ;    <span class="keyword">-- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">IN</span></span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;                conf_done       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>) ;<span class="keyword">                      -- PHY Config Done</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;                </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span> ;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        </div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        <span class="vhdlkeyword">component</span> <a class="code" href="enummdio__slave.html">mdio_slave</a> <span class="vhdlkeyword">port</span> (</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;      </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;                reset           : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;                         <span class="keyword">-- asynch reset</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;                mdc             : <span class="vhdlkeyword">in</span> <span class="comment">std_logic</span>;                         <span class="keyword">-- system clock</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;                mdio            : <span class="vhdlkeyword">inout</span> <span class="comment">std_logic</span>;                      <span class="keyword">-- Data <span class="vhdlkeyword">Bus</span></span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;                dev_addr        : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);     <span class="keyword">-- Device address</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;                reg_addr        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);     <span class="keyword">-- Address <span class="vhdlkeyword">register</span></span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;                reg_read        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                        <span class="keyword">-- Read <span class="vhdlkeyword">register</span>         </span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;                reg_write       : <span class="vhdlkeyword">out</span> <span class="comment">std_logic</span>;                        <span class="keyword">-- Write <span class="vhdlkeyword">register</span>         </span></div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;                reg_dout        : <span class="vhdlkeyword">out</span> <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);    <span class="keyword">-- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">OUT</span></span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;                reg_din         : <span class="vhdlkeyword">in</span>  <span class="comment">std_logic_vector</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)) ;<span class="keyword">  -- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">IN</span></span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="vhdlkeyword">end</span> <span class="vhdlkeyword">component</span>;  </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        </div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="vhdlkeyword">signal</span> <span class="vhdlchar">reg_addr</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">4</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">         -- Address <span class="vhdlkeyword">register</span></span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        <span class="vhdlkeyword">signal</span> <span class="vhdlchar">reg_read</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;<span class="keyword">                            -- Read <span class="vhdlkeyword">register</span>         </span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        <span class="vhdlkeyword">signal</span> <span class="vhdlchar">reg_write</span>        <span class="vhdlchar">:</span> <span class="comment">std_logic</span>;<span class="keyword">                            -- Write <span class="vhdlkeyword">register</span>         </span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;        <span class="vhdlkeyword">signal</span> <span class="vhdlchar">reg_dout</span>         <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">        -- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">OUT</span></span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="vhdlkeyword">signal</span> <span class="vhdlchar">reg_din</span>          <span class="vhdlchar">:</span> <span class="comment">std_logic_vector</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">downto</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;<span class="keyword">        -- Data <span class="vhdlkeyword">Bus</span> <span class="vhdlkeyword">IN</span> </span></div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="vhdlkeyword">begin</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        MDIO_C: <a class="code" href="enummdio__slave.html">mdio_slave</a> <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;      </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;                reset            =&gt; reset ,</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                mdc              =&gt; mdc ,</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                mdio             =&gt; mdio ,</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;                dev_addr         =&gt; dev_addr ,</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                reg_addr         =&gt; reg_addr ,</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;                reg_read         =&gt; reg_read ,             </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                reg_write        =&gt; reg_write ,             </div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                reg_dout         =&gt; reg_din ,        </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                reg_din          =&gt; reg_dout<span class="vhdlchar">)</span> ;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        REG_C: <a class="code" href="enummdio__reg__sim.html">mdio_reg_sim</a>  <span class="vhdlkeyword">port</span> <span class="vhdlkeyword">map</span> (</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                reset            =&gt; reset ,          </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                clk              =&gt; mdc ,</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                reg_addr         =&gt; reg_addr ,</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                reg_write        =&gt; reg_write ,  </div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                reg_read         =&gt; reg_read ,   </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                reg_dout         =&gt; reg_dout ,</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                reg_din          =&gt; reg_din ,</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;                conf_done        =&gt; conf_done<span class="vhdlchar">)</span> ;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                </div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="vhdlkeyword">end</span> <span class="vhdlchar">a</span> ;       </div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:21 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
